Module SQL_業務系統
    '---------------------人員貢獻分析表-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_客戶交易明細表1_清單()
        ConnOpen_ERP()
        SQL1 = "SELECT      客戶交易明細表.流水號, 客戶交易明細表.銷售日期, 客戶交易明細表.客戶編號, 客戶交易明細表.客戶名稱, 
                            客戶交易明細表.生日, 客戶交易明細表.品項, 客戶交易明細表.品名, 客戶交易明細表.單價, 客戶交易明細表.數量, 
                            客戶交易明細表.折比, 客戶交易明細表.折讓, 客戶交易明細表.業績, 客戶交易明細表.備註, 客戶交易明細表.批價備註, 
                            客戶交易明細表.醫師, 客戶交易明細表.排程人員, 客戶交易明細表.操作人員, 客戶交易明細表.產品銷售, 
                            客戶交易明細表.收款人員, 客戶交易明細表.其他備註, 產品類別表.類別
                FROM        客戶交易明細表 LEFT OUTER JOIN
                            產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名 LEFT OUTER JOIN
                            診所員工 ON 客戶交易明細表.客戶名稱 = 診所員工.診所員工
                WHERE      (客戶交易明細表.銷售日期 LIKE N'" & 人員貢獻分析表.月份_cb.Text & "%' OR 
                            客戶交易明細表.銷售日期 LIKE N'" & 人員貢獻分析表.月份1_cb.Text & "%' OR 
                            客戶交易明細表.銷售日期 LIKE N'" & 人員貢獻分析表.月份2_cb.Text & "%') AND(診所員工.診所員工 IS NULL)
                ORDER BY    客戶交易明細表.銷售日期, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_獎金計算1_清單()
        ConnOpen_ERP()
        SQL1 = "SELECT      診所員工.診所員工 AS 人員, 診所員工.時薪, 資料延伸用.數值 AS 一般產品業績, 資料延伸用.數值 AS 美療排程, 資料延伸用.數值 AS 美療操作, 
                            資料延伸用.數值 AS 排程業績, 資料延伸用.數值 AS 操作業績, 資料延伸用.數值 AS 手術排程,  資料延伸用.數值 AS 手術操作, 資料延伸用.數值 AS [植髮/電波業績], 
                            資料延伸用.數值 AS 預購療程, 
                            資料延伸用.數值 AS 一般產品獎金, 資料延伸用.數值 AS 美療獎金, 資料延伸用.數值 AS 排程獎金, 資料延伸用.數值 AS 操作獎金, 資料延伸用.數值 AS 手術排程獎金, 
                            資料延伸用.數值 AS 手術操作獎金, 資料延伸用.數值 AS [植髮/電波獎金], 資料延伸用.數值 AS 預購獎金, 資料延伸用.數值 AS 總獎金, 
                            資料延伸用.數值 AS 一般產品, 資料延伸用.數值 AS 美療, 資料延伸用.數值 AS [雷射/治療], 資料延伸用.數值 AS 手術, 資料延伸用.數值 AS [植髮/電波], 
                            資料延伸用.數值 AS 實收業績, 資料延伸用.數值 AS 償還業績, 資料延伸用.數值 AS 總業績, 診所員工.時薪 AS 獎金比
                FROM        診所員工 LEFT OUTER JOIN
                            資料延伸用 ON 診所員工.流水號 = 資料延伸用.字串 RIGHT OUTER JOIN
                                (SELECT     流水號, 銷售日期, 客戶編號, 客戶名稱, 生日, 品項, 品名, 單價, 數量, 折比, 折讓, 業績, 備註, 
                                                              批價備註, 醫師, 排程人員, 操作人員, 產品銷售, 收款人員, 其他備註
                                  FROM      客戶交易明細表
                                  WHERE    (銷售日期 LIKE N'" & 人員貢獻分析表.月份_cb.Text & "%' OR
                                            銷售日期 LIKE N'" & 人員貢獻分析表.月份1_cb.Text & "%' OR
                                            銷售日期 LIKE N'" & 人員貢獻分析表.月份2_cb.Text & "%')) AS QQQ ON 診所員工.診所員工 = SUBSTRING(QQQ.產品銷售, 4, 5) OR
                            診所員工.診所員工 = SUBSTRING(QQQ.操作人員, 4, 5) OR
                            診所員工.診所員工 = SUBSTRING(QQQ.排程人員, 4, 5)
                GROUP BY    診所員工.診所員工, 診所員工.時薪, 資料延伸用.數值
                ORDER BY    診所員工.時薪 DESC, 人員"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_客戶交易明細表2_清單()
        ConnOpen_ERP()
        SQL1 = "SELECT     客戶交易明細表.銷售日期, 客戶交易明細表.品名, 客戶交易明細表.業績, 客戶交易明細表.備註
                FROM       客戶交易明細表 LEFT OUTER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名 LEFT OUTER JOIN
                           診所員工 ON 客戶交易明細表.客戶名稱 = 診所員工.診所員工
                WHERE     (診所員工.診所員工 IS NULL) AND 
                          (客戶交易明細表.銷售日期 LIKE N'" & 人員貢獻分析表.月份_cb.Text & "%' OR
                           客戶交易明細表.銷售日期 LIKE N'" & 人員貢獻分析表.月份1_cb.Text & "%' OR
                           客戶交易明細表.銷售日期 LIKE N'" & 人員貢獻分析表.月份2_cb.Text & "%') AND (產品類別表.類別 LIKE N'" & PA & "') AND 
                          (SUBSTRING(客戶交易明細表." & PA1 & ", 4, 3) LIKE N'" & 人員貢獻分析表.姓名_tb.Text & "') AND (客戶交易明細表.業績 <> 0)
                ORDER BY   客戶交易明細表.銷售日期 DESC, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    '---------------------業績獎金計算表-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_客戶交易明細表_月份()
        ConnOpen_ERP() : SQL1 = "SELECT LEFT(銷售日期, 5) AS 月份 FROM 客戶交易明細表 GROUP BY LEFT(銷售日期, 5) ORDER BY   月份" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶交易明細表_清單()
        ConnOpen_ERP()
        SQL1 = "SELECT      客戶交易明細表.流水號, 客戶交易明細表.銷售日期, 客戶交易明細表.客戶編號, 客戶交易明細表.客戶名稱, 
                            客戶交易明細表.生日, 客戶交易明細表.品項, 客戶交易明細表.品名, 客戶交易明細表.單價, 客戶交易明細表.數量, 
                            客戶交易明細表.折比, 客戶交易明細表.折讓, 客戶交易明細表.業績, 客戶交易明細表.備註, 客戶交易明細表.批價備註, 
                            客戶交易明細表.醫師, 客戶交易明細表.排程人員, 客戶交易明細表.操作人員, 客戶交易明細表.產品銷售, 
                            客戶交易明細表.收款人員, 客戶交易明細表.其他備註, 產品類別表.類別
                FROM        客戶交易明細表 LEFT OUTER JOIN
                            產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名 LEFT OUTER JOIN
                            診所員工 ON 客戶交易明細表.客戶名稱 = 診所員工.診所員工
                WHERE      (客戶交易明細表.銷售日期 LIKE N'" & 業績獎金計算表.月份_cb.Text & "%') AND (診所員工.診所員工 IS NULL)
                ORDER BY    客戶交易明細表.銷售日期, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_獎金計算_清單()
        ConnOpen_ERP()
        SQL1 = "SELECT      診所員工.診所員工 AS 人員, 診所員工.時薪, 資料延伸用.數值 AS 一般產品業績, 資料延伸用.數值 AS 美療排程, 資料延伸用.數值 AS 美療操作, 
                            資料延伸用.數值 AS 排程業績, 資料延伸用.數值 AS 操作業績, 資料延伸用.數值 AS 手術排程,  資料延伸用.數值 AS 手術操作, 資料延伸用.數值 AS [植髮/電波業績], 
                            資料延伸用.數值 AS 預購療程, 
                            資料延伸用.數值 AS 一般產品獎金, 資料延伸用.數值 AS 美療獎金, 資料延伸用.數值 AS 排程獎金, 資料延伸用.數值 AS 操作獎金, 資料延伸用.數值 AS 手術排程獎金, 
                            資料延伸用.數值 AS 手術操作獎金, 資料延伸用.數值 AS [植髮/電波獎金], 資料延伸用.數值 AS 預購獎金, 資料延伸用.數值 AS 總獎金, 
                            資料延伸用.數值 AS 一般產品, 資料延伸用.數值 AS 美療, 資料延伸用.數值 AS [雷射/治療], 資料延伸用.數值 AS 手術, 資料延伸用.數值 AS [植髮/電波], 
                            資料延伸用.數值 AS 實收業績, 資料延伸用.數值 AS 償還業績, 資料延伸用.數值 AS 總業績, 診所員工.時薪 AS 獎金比
                FROM        診所員工 LEFT OUTER JOIN
                            資料延伸用 ON 診所員工.流水號 = 資料延伸用.字串 RIGHT OUTER JOIN
                                (SELECT     流水號, 銷售日期, 客戶編號, 客戶名稱, 生日, 品項, 品名, 單價, 數量, 折比, 折讓, 業績, 備註, 
                                                              批價備註, 醫師, 排程人員, 操作人員, 產品銷售, 收款人員, 其他備註
                                  FROM      客戶交易明細表
                                  WHERE    (銷售日期 LIKE N'" & 業績獎金計算表.月份_cb.Text & "%')) AS QQQ ON 診所員工.診所員工 = SUBSTRING(QQQ.產品銷售, 4, 5) OR
                            診所員工.診所員工 = SUBSTRING(QQQ.操作人員, 4, 5) OR
                            診所員工.診所員工 = SUBSTRING(QQQ.排程人員, 4, 5)
                GROUP BY    診所員工.診所員工, 診所員工.時薪, 資料延伸用.數值
                ORDER BY    診所員工.時薪 DESC, 人員"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業機彙總判斷()
        ConnOpen_ERP() : SQL1 = "SELECT 日期, 實收業績, 償還業績, 總業績 FROM 業績彙總 WHERE 日期 LIKE N'" & 業績獎金計算表.月份_cb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業機彙總_新增()
        ConnOpen_ERP() : SQL1 = "INSERT INTO 業績彙總 (日期, 實收業績, 償還業績, 總業績) VALUES (N'" & PA13 & "', N'" & PA12 & "', N'" & PA11 & "', N'" & PA10 & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_業機彙總_修改()
        ConnOpen_ERP() : SQL1 = "UPDATE  業績彙總   SET   實收業績 = N'" & PA12 & "', 償還業績 = N'" & PA11 & "', 總業績 = N'" & PA10 & "' WHERE 日期 LIKE N'" & PA13 & "'" : CmdSet_For_dr()
    End Sub
    '---------------------來客資料分析表-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_來客資料1()
        ConnOpen_ERP()
        SQL1 = "SELECT     客戶交易明細表.銷售日期, 客戶交易明細表.客戶編號, 客戶交易明細表.客戶名稱
                FROM       客戶交易明細表 LEFT OUTER JOIN
                           診所員工 ON 客戶交易明細表.客戶名稱 = 診所員工.診所員工
                WHERE     (診所員工.診所員工 IS NULL)
                GROUP BY   客戶交易明細表.銷售日期, 客戶交易明細表.客戶編號, 客戶交易明細表.客戶名稱
                ORDER BY   客戶交易明細表.銷售日期"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_來客資料2()
        ConnOpen_ERP()
        SQL1 = "SELECT     客戶交易明細表.銷售日期, 客戶交易明細表.客戶編號, 客戶交易明細表.客戶名稱, 客戶交易明細表.客戶名稱 AS 新舊客
                FROM       客戶交易明細表 LEFT OUTER JOIN
                           診所員工 ON 客戶交易明細表.客戶名稱 = 診所員工.診所員工
                WHERE     (診所員工.診所員工 IS NULL) AND (LEFT(客戶交易明細表.銷售日期, 5) LIKE N'" & 來客資料分析表.月份_cb.Text & "')
                GROUP BY   客戶交易明細表.銷售日期, 客戶交易明細表.客戶編號, 客戶交易明細表.客戶名稱
                ORDER BY   客戶交易明細表.銷售日期"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_來客資料3()
        ConnOpen_ERP()
        SQL1 = "SELECT     TTT.月份, TTT.新客, TTT.新客比, 空白圖片用.圖片 AS 新客比例, TTT.舊客, TTT.舊客比, 空白圖片用.圖片 AS 舊客比例, 
                           TTT.總來客數, TTT.總來客比, 空白圖片用.圖片 AS 來客情況, 業績彙總.實收業績, 空白圖片用.圖片 AS 業績比, 業績彙總.實收業績 AS [實收/客], 業績彙總.償還業績, 
                           業績彙總.償還業績 AS [償還/客], 業績彙總.總業績, 業績彙總.總業績 AS [業績/客], 業績彙總.實收業績 AS 業績比例
                FROM       業績彙總 INNER JOIN
                                (SELECT     LEFT(客戶交易明細表.銷售日期, 5) AS 月份, 資料延伸用.數值 AS 新客, 資料延伸用.數值 AS 新客比, 
                                            資料延伸用.數值 AS 舊客, 資料延伸用.數值 AS 舊客比, 資料延伸用.數值 AS 總來客數, 
                                            資料延伸用.數值 AS 總來客比
                                  FROM      客戶交易明細表 LEFT OUTER JOIN
                                            資料延伸用 ON 客戶交易明細表.數量 = 資料延伸用.數值 LEFT OUTER JOIN
                                            診所員工 ON 客戶交易明細表.客戶名稱 = 診所員工.診所員工
                                  WHERE    (診所員工.診所員工 IS NULL)
                                  GROUP BY  LEFT(客戶交易明細表.銷售日期, 5), 資料延伸用.數值) AS TTT ON 
                           業績彙總.日期 = TTT.月份 LEFT OUTER JOIN
                           空白圖片用 ON TTT.月份 = 空白圖片用.連接
                ORDER BY   TTT.月份 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_來客資料5()
        ConnOpen_ERP()
        SQL1 = "SELECT      來客分析歷史資料.月份, 來客分析歷史資料.新客, 來客分析歷史資料.新客比, 空白圖片用.圖片 AS 新客比例, 
                            來客分析歷史資料.舊客, 來客分析歷史資料.舊客比, 空白圖片用.圖片 AS 舊客比例, 來客分析歷史資料.總來客數, 
                            來客分析歷史資料.總來客比, 空白圖片用.圖片 AS 來客情況, 業績彙總.實收業績, 空白圖片用.圖片 AS 業績比, 
                            業績彙總.實收業績 AS [實收/客], 業績彙總.償還業績, 業績彙總.償還業績 AS [償還/客], 業績彙總.總業績, 
                            業績彙總.總業績 AS [業績/客], 業績彙總.實收業績 AS 業績比例
                FROM        來客分析歷史資料 LEFT OUTER JOIN
                            業績彙總 ON 來客分析歷史資料.月份 = 業績彙總.日期 LEFT OUTER JOIN
                            空白圖片用 ON 來客分析歷史資料.月份 = 空白圖片用.連接
                ORDER BY    來客分析歷史資料.月份 DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_來客資料4()
        ConnOpen_ERP()
        SQL1 = "SELECT     客戶交易明細表.客戶編號, 客戶交易明細表.客戶名稱
                FROM       客戶交易明細表 LEFT OUTER JOIN
                           診所員工 ON 客戶交易明細表.客戶名稱 = 診所員工.診所員工
                WHERE     (診所員工.診所員工 IS NULL)
                GROUP BY   客戶交易明細表.客戶編號, 客戶交易明細表.客戶名稱
                ORDER BY   客戶交易明細表.客戶編號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_來客資料_刪除()
        ConnOpen_ERP() : SQL1 = "DELETE  來客分析歷史資料" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_來客資料_新增()
        ConnOpen_ERP()
        SQL1 = "INSERT INTO 來客分析歷史資料 (月份, 新客, 新客比, 舊客, 舊客比, 總來客數, 總來客比) 
                                      VALUES (N'" & PA & "', N'" & PA1 & "', N'" & PA2 & "', N'" & PA3 & "', N'" & PA4 & "', N'" & PA5 & "', N'" & PA6 & "')"
        CmdSet_For_dr()
    End Sub
    '---------------------業務系統資料管理-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_客戶交易明細表_無類別資料()
        ConnOpen_ERP()
        SQL1 = "SELECT     客戶交易明細表.品名, 產品類別表.類別
                FROM       客戶交易明細表 LEFT OUTER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名 LEFT OUTER JOIN
                           診所員工 ON 客戶交易明細表.客戶名稱 = 診所員工.診所員工
                WHERE     (產品類別表.類別 IS NULL)
                GROUP BY   客戶交易明細表.品名, 產品類別表.類別
                ORDER BY   產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_客戶交易明細表_集合資料()
        ConnOpen_ERP()
        SQL1 = "SELECT     客戶交易明細表.品名, 產品類別表.類別
                FROM       客戶交易明細表 FULL OUTER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名
                WHERE     (客戶交易明細表.品名 LIKE N'%" & 業務系統資料管理.品名2_tb.Text & "%')
                GROUP BY   客戶交易明細表.品名, 產品類別表.類別
                ORDER BY   客戶交易明細表.品名"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品類別表()
        ConnOpen_ERP()
        SQL1 = "SELECT 流水號, 品名, 類別 FROM 產品類別表 WHERE 品名 LIKE N'%" & PA14 & "%'"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品類別表_新增()
        ConnOpen_ERP() : SQL1 = "INSERT INTO 產品類別表 (流水號, 品名, 類別) VALUES (N'" & PA & "', N'" & PA1 & "', N'" & PA2 & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_產品類別表_最後一筆資料()
        ConnOpen_ERP() : SQL1 = "SELECT TOP(1) 流水號 FROM 產品類別表 ORDER BY 流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_產品類別表_修改()
        ConnOpen_ERP()
        SQL1 = "UPDATE  產品類別表   SET   類別 = N'" & 業務系統資料管理.類別_cb.Text & "' WHERE 流水號 LIKE N'" & 業務系統資料管理.流水號1_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_產品類別表_刪除()
        ConnOpen_ERP() : SQL1 = "DELETE  產品類別表  WHERE 流水號 LIKE N'" & 業務系統資料管理.流水號1_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_人員資料1()
        ConnOpen_ERP() : SQL1 = "SELECT 流水號, 診所員工, 時薪 FROM 診所員工 ORDER BY 診所員工" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_人員資料2()
        ConnOpen_ERP()
        SQL1 = "SELECT    診所員工.診所員工, QQQ.人員1, WWW.人員2, EEE.人員3
                FROM     (SELECT     SUBSTRING(排程人員, 4, 5) AS 人員1
                          FROM       客戶交易明細表 AS 客戶交易明細表_1
                          WHERE     (SUBSTRING(排程人員, 4, 5) NOT LIKE N'')
                          GROUP BY   SUBSTRING(排程人員, 4, 5)) AS QQQ FULL OUTER JOIN
                         (SELECT     SUBSTRING(產品銷售, 4, 5) AS 人員3
                          FROM       客戶交易明細表
                          WHERE     (SUBSTRING(產品銷售, 4, 5) NOT LIKE N'')
                          GROUP BY   SUBSTRING(產品銷售, 4, 5)) AS EEE FULL OUTER JOIN
                          診所員工 ON EEE.人員3 = 診所員工.診所員工 FULL OUTER JOIN
                         (SELECT     SUBSTRING(操作人員, 4, 5) AS 人員2
                          FROM       客戶交易明細表 AS 客戶交易明細表_2
                          WHERE     (SUBSTRING(操作人員, 4, 5) NOT LIKE N'')
                          GROUP BY   SUBSTRING(操作人員, 4, 5)) AS WWW ON 診所員工.診所員工 = WWW.人員2 ON 
                          QQQ.人員1 = 診所員工.診所員工
                WHERE    (診所員工.診所員工 IS NULL)
                ORDER BY  診所員工.診所員工"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_診所員工_最後一筆資料()
        ConnOpen_ERP() : SQL1 = "SELECT TOP(1) 流水號 FROM 診所員工 ORDER BY 流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_診所員工_新增()
        ConnOpen_ERP() : SQL1 = "INSERT INTO 診所員工 (流水號, 診所員工, 時薪) VALUES (N'" & PA & "', N'" & PA1 & "', N'" & PA2 & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_診所員工_刪除()
        ConnOpen_ERP() : SQL1 = "DELETE  診所員工  WHERE 流水號 LIKE N'" & 業務系統資料管理.流水號2_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_客戶交易明細表_品名修改()
        ConnOpen_ERP()
        SQL1 = "UPDATE  客戶交易明細表   SET   品名 = N'" & 業務系統資料管理.品名3_tb.Text & "' WHERE 品名 LIKE N'" & 業務系統資料管理.品名2_tb.Text & "%'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_醫生清單()
        ConnOpen_ERP() : SQL1 = "SELECT  醫師 FROM  醫師名單" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_查詢醫生()
        ConnOpen_ERP() : SQL1 = "SELECT 醫師 FROM 醫師名單 WHERE 醫師 LIKE N'" & 系統設定.醫師_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_醫生新增()
        ConnOpen_ERP() : SQL1 = "INSERT INTO 醫師名單 (醫師) VALUES (N'" & 系統設定.醫師_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_醫生修改()
        ConnOpen_ERP() : SQL1 = "UPDATE  醫師名單   SET   醫師 = N'" & PA & "' WHERE 醫師 LIKE N'" & 系統設定.醫師_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_醫生刪除()
        ConnOpen_ERP() : SQL1 = "DELETE  醫師名單  WHERE 醫師 LIKE N'" & 系統設定.醫師_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_查詢銷售()
        ConnOpen_ERP()
        SQL1 = "SELECT 流水號 FROM 業務銷售控制表 WHERE 病歷號 LIKE N'" & 適應症選擇.病歷號_tb.Text & "' AND 日期 LIKE N'" & Strings.Format(Today(), "yyyy/MM/dd") & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_銷售流水號()
        ConnOpen_ERP() : SQL1 = "SELECT TOP(1) 流水號 FROM 業務銷售控制表 ORDER BY 流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_銷售控制新增()
        ConnOpen_ERP()
        SQL1 = "INSERT INTO 業務銷售控制表 (流水號, 日期, 醫師, 病歷號) 
                VALUES (N'" & PA & "', N'" & Strings.Format(Today(), "yyyy/MM/dd") & "', N'" & 適應症選擇.醫生_tb.Text & "', N'" & 適應症選擇.病歷號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_銷售明細刪除()
        ConnOpen_ERP() : SQL1 = "DELETE  業務銷售明細表  WHERE 流水號 LIKE N'" & PA & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_銷售保養品明細刪除()
        ConnOpen_ERP() : SQL1 = "DELETE  業務銷售產品表  WHERE 流水號 LIKE N'" & PA & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_銷售明細新增()
        ConnOpen_ERP()
        SQL1 = "INSERT INTO 業務銷售明細表 (流水號, 適應症號, 症狀, 備註) VALUES (N'" & PA & "', N'" & PA1 & "', N'" & PA2 & "', N'" & PA3 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_銷售保養品明細新增()
        ConnOpen_ERP()
        SQL1 = "INSERT INTO 業務銷售產品表 (流水號, 產品, 品牌, 備註) VALUES (N'" & PA & "', N'" & PA1 & "', N'" & PA2 & "', N'" & PA3 & "')"
        CmdSet_For_dr()
    End Sub
    '---------------------產品銷售分析表-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_產品資料1()
        ConnOpen_ERP()
        SQL1 = "SELECT     產品類別表.類別, SUM(客戶交易明細表.數量) AS 數量, SUM(客戶交易明細表.業績) AS 金額
                FROM       客戶交易明細表 INNER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名
                WHERE     (客戶交易明細表.備註 LIKE N'預購療程' OR
                           客戶交易明細表.備註 LIKE N'.') AND (產品類別表.類別 NOT LIKE N'不計算')
                GROUP BY   產品類別表.類別
                HAVING    (SUM(客戶交易明細表.業績) > 0)
                ORDER BY   產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品資料2()
        ConnOpen_ERP()
        SQL1 = "SELECT     LEFT(客戶交易明細表.銷售日期, 5) AS 日期, 產品類別表.類別, SUM(客戶交易明細表.數量) AS 數量, 
                           SUM(客戶交易明細表.業績) AS 金額
                FROM       客戶交易明細表 INNER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名
                WHERE     (客戶交易明細表.備註 LIKE N'預購療程' OR
                           客戶交易明細表.備註 LIKE N'.') AND (產品類別表.類別 NOT LIKE N'不計算')
                GROUP BY   產品類別表.類別, LEFT(客戶交易明細表.銷售日期, 5)
                HAVING    (SUM(客戶交易明細表.業績) > 0)
                ORDER BY   日期 DESC, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品資料3()
        ConnOpen_ERP()
        SQL1 = "SELECT     LEFT(客戶交易明細表.銷售日期, 5) AS 日期, 產品類別表.類別, SUM(客戶交易明細表.數量) AS 數量, 
                           SUM(客戶交易明細表.業績) AS 金額
                FROM       客戶交易明細表 INNER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名
                WHERE     (客戶交易明細表.備註 LIKE N'預購療程' OR
                           客戶交易明細表.備註 LIKE N'.') AND (產品類別表.類別 NOT LIKE N'不計算') AND (產品類別表.類別 LIKE N'一般產品')
                GROUP BY   產品類別表.類別, LEFT(客戶交易明細表.銷售日期, 5)
                HAVING    (SUM(客戶交易明細表.業績) > 0)
                ORDER BY   日期 DESC, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品資料4()
        ConnOpen_ERP()
        SQL1 = "SELECT     LEFT(客戶交易明細表.銷售日期, 5) AS 日期, 產品類別表.類別, SUM(客戶交易明細表.數量) AS 數量, 
                           SUM(客戶交易明細表.業績) AS 金額
                FROM       客戶交易明細表 INNER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名
                WHERE     (客戶交易明細表.備註 LIKE N'預購療程' OR
                           客戶交易明細表.備註 LIKE N'.') AND (產品類別表.類別 NOT LIKE N'不計算') AND (產品類別表.類別 LIKE N'人工皮')
                GROUP BY   產品類別表.類別, LEFT(客戶交易明細表.銷售日期, 5)
                HAVING    (SUM(客戶交易明細表.業績) > 0)
                ORDER BY   日期 DESC, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品資料5()
        ConnOpen_ERP()
        SQL1 = "SELECT     LEFT(客戶交易明細表.銷售日期, 5) AS 日期, 產品類別表.類別, SUM(客戶交易明細表.數量) AS 數量, 
                           SUM(客戶交易明細表.業績) AS 金額
                FROM       客戶交易明細表 INNER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名
                WHERE     (客戶交易明細表.備註 LIKE N'預購療程' OR
                           客戶交易明細表.備註 LIKE N'.') AND (產品類別表.類別 NOT LIKE N'不計算') AND (產品類別表.類別 LIKE N'治療')
                GROUP BY   產品類別表.類別, LEFT(客戶交易明細表.銷售日期, 5)
                HAVING    (SUM(客戶交易明細表.業績) > 0)
                ORDER BY   日期 DESC, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品資料6()
        ConnOpen_ERP()
        SQL1 = "SELECT     LEFT(客戶交易明細表.銷售日期, 5) AS 日期, 產品類別表.類別, SUM(客戶交易明細表.數量) AS 數量, 
                           SUM(客戶交易明細表.業績) AS 金額
                FROM       客戶交易明細表 INNER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名
                WHERE     (客戶交易明細表.備註 LIKE N'預購療程' OR
                           客戶交易明細表.備註 LIKE N'.') AND (產品類別表.類別 NOT LIKE N'不計算') AND (產品類別表.類別 LIKE N'雷射')
                GROUP BY   產品類別表.類別, LEFT(客戶交易明細表.銷售日期, 5)
                HAVING    (SUM(客戶交易明細表.業績) > 0)
                ORDER BY   日期 DESC, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品資料7()
        ConnOpen_ERP()
        SQL1 = "SELECT     LEFT(客戶交易明細表.銷售日期, 5) AS 日期, 產品類別表.類別, SUM(客戶交易明細表.數量) AS 數量, 
                           SUM(客戶交易明細表.業績) AS 金額
                FROM       客戶交易明細表 INNER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名
                WHERE     (客戶交易明細表.備註 LIKE N'預購療程' OR
                           客戶交易明細表.備註 LIKE N'.') AND (產品類別表.類別 NOT LIKE N'不計算') AND (產品類別表.類別 LIKE N'手術')
                GROUP BY   產品類別表.類別, LEFT(客戶交易明細表.銷售日期, 5)
                HAVING    (SUM(客戶交易明細表.業績) > 0)
                ORDER BY   日期 DESC, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品資料8()
        ConnOpen_ERP()
        SQL1 = "SELECT     LEFT(客戶交易明細表.銷售日期, 5) AS 日期, 產品類別表.類別, SUM(客戶交易明細表.數量) AS 數量, 
                           SUM(客戶交易明細表.業績) AS 金額
                FROM       客戶交易明細表 INNER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名
                WHERE     (客戶交易明細表.備註 LIKE N'預購療程' OR
                           客戶交易明細表.備註 LIKE N'.') AND (產品類別表.類別 NOT LIKE N'不計算') AND (產品類別表.類別 LIKE N'美療')
                GROUP BY   產品類別表.類別, LEFT(客戶交易明細表.銷售日期, 5)
                HAVING    (SUM(客戶交易明細表.業績) > 0)
                ORDER BY   日期 DESC, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品資料9()
        ConnOpen_ERP()
        SQL1 = "SELECT     LEFT(客戶交易明細表.銷售日期, 5) AS 日期, 產品類別表.類別, SUM(客戶交易明細表.數量) AS 數量, 
                           SUM(客戶交易明細表.業績) AS 金額
                FROM       客戶交易明細表 INNER JOIN
                           產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名
                WHERE     (客戶交易明細表.備註 LIKE N'預購療程' OR
                           客戶交易明細表.備註 LIKE N'.') AND (產品類別表.類別 NOT LIKE N'不計算') AND (產品類別表.類別 LIKE N'植髮')
                GROUP BY   產品類別表.類別, LEFT(客戶交易明細表.銷售日期, 5)
                HAVING    (SUM(客戶交易明細表.業績) > 0)
                ORDER BY   日期 DESC, 產品類別表.類別"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_產品資料10()
        ConnOpen_ERP()
        SQL1 = "SELECT     QQQ.品名 AS 項次, QQQ.品名, QQQ.數量, QQQ.金額, QQQ.比例, 空白圖片用.圖片 AS 百分比
                FROM       空白圖片用 RIGHT OUTER JOIN
                          (SELECT      客戶交易明細表.品名, SUM(客戶交易明細表.數量) AS 數量, SUM(客戶交易明細表.業績) AS 金額, 
                                       資料延伸用.數值 AS 比例
                           FROM        客戶交易明細表 INNER JOIN
                                       產品類別表 ON 客戶交易明細表.品名 = 產品類別表.品名 LEFT OUTER JOIN
                                       資料延伸用 ON 客戶交易明細表.品名 = 資料延伸用.字串
                           WHERE      (客戶交易明細表.備註 LIKE N'預購療程' OR
                                       客戶交易明細表.備註 LIKE N'.') AND (產品類別表.類別 NOT LIKE N'不計算') AND 
                                      (產品類別表.類別 LIKE N'" & 產品銷售分析表.類別_tb.Text & "') AND (LEFT(客戶交易明細表.銷售日期, 5) LIKE N'" & 產品銷售分析表.日期_tb.Text & "')
                           GROUP BY    產品類別表.類別, 客戶交易明細表.品名, 資料延伸用.數值
                           HAVING     (SUM(客戶交易明細表.業績) > 0)) AS QQQ ON 空白圖片用.連接 = QQQ.品名
                ORDER BY   金額 DESC"
        CmdSet_For_DGV()
    End Sub
End Module
